> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Wallet transaction by id



## OpenAPI

````yaml /api-reference/ubb_openapi_inline.json get /wallet-transactions/{wallet_transaction_id}
openapi: 3.0.1
info:
  title: Usage Based Billing API
  version: 1.0.0
  description: An Orchestrator for Usage Based Billing and Payments
servers:
  - url: https://api-m.sandbox.paypal.com/v1/commerce/billing
security:
  - BearerAuth:
      - read
      - write
tags:
  - name: Alerts
    description: API endpoints for managing subscription alerts
  - name: Events
    description: API endpoints for managing events
  - name: Metrics
    description: API endpoints for metrics and usage data
  - name: Merchant Activation
    description: API endpoint for merchant activation
  - name: Credit Notes
    description: API endpoints for credit notes management
  - name: Customers
    description: API endpoints for customer management
  - name: Invoices
    description: API endpoints for invoice management
  - name: Plans
    description: API endpoints for subscription plans
  - name: Subscriptions
    description: API endpoints for subscriptions
  - name: Wallets
    description: API endpoints for wallet management
  - name: Taxes
    description: API endpoints for tax management
  - name: Billing Entities
    description: API endpoints for billing entities
  - name: Features
    description: API endpoints for managing features and privileges
  - name: Entitlements
    description: API endpoints for managing plan and subscription entitlements
paths:
  /wallet-transactions/{wallet_transaction_id}:
    get:
      tags:
        - Wallets
      summary: Get Wallet transaction by id
      operationId: GetWalletTransactionById
      parameters:
        - $ref: '#/components/parameters/wallet_transaction_id'
      responses:
        '200':
          description: Wallet transaction by ID retrieved successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletTransaction'
        '403':
          $ref: '#/components/responses/Forbidden'
        '404':
          $ref: '#/components/responses/NotFound'
        '500':
          $ref: '#/components/responses/InternalServerError'
components:
  parameters:
    wallet_transaction_id:
      in: path
      name: wallet_transaction_id
      required: true
      description: ' Wallet Transaction ID'
      schema:
        type: string
  schemas:
    WalletTransaction:
      type: object
      properties:
        wallet_transaction_id:
          type: string
          description: Unique identifier for the wallet transaction
          example: 1a901a90-1a90-1a90-1a90-1a901a901a90
        wallet_id:
          allOf:
            - $ref: '#/components/schemas/WalletId'
            - description: Unique identifier for the wallet
              example: 1a901a90-1a90-1a90-1a90-1a901a901a90
        payment_status:
          $ref: '#/components/schemas/WalletTransactionPaymentStatus'
        source:
          $ref: '#/components/schemas/WalletTransactionSource'
        transaction_status:
          $ref: '#/components/schemas/WalletTransactionTransactionStatus'
        transaction_type:
          $ref: '#/components/schemas/WalletTransactionType'
        amount:
          allOf:
            - $ref: '#/components/schemas/Amount'
            - description: Transaction amount involved in the specific wallet transaction.
        credits:
          type: string
          pattern: ^[0-9]+.?[0-9]*$
          description: The number of credits used in the wallet transaction.
          example: '100.0'
        settled_at:
          allOf:
            - $ref: '#/components/schemas/DateTimeWithZone'
          description: >-
            The date when wallet transaction is settled, represented in ISO 8601
            datetime format and expressed in Coordinated Universal Time (UTC).
          example: '2022-04-29T08:59:51Z'
        failed_at:
          allOf:
            - $ref: '#/components/schemas/DateTimeWithZone'
          description: >-
            The date when the wallet transaction failed, represented in ISO 8601
            datetime format and expressed in Coordinated Universal Time (UTC).
          example: '2022-04-29T08:59:51Z'
        created_at:
          allOf:
            - $ref: '#/components/schemas/DateTimeWithZone'
          description: >-
            The date of the wallet transaction creation, represented in ISO 8601
            datetime format and expressed in Coordinated Universal Time (UTC).
          example: '2022-04-29T08:59:51Z'
        metadata:
          type: array
          description: >-
            List of key-value pair contains the metadata about the wallet
            transaction.
          items:
            $ref: '#/components/schemas/StringMap'
    WalletId:
      type: string
      description: Unique identifier for the wallet
      example: 1a901a90-1a90-1a90-1a90-1a901a901a90
    WalletTransactionPaymentStatus:
      type: string
      description: >-
        The payment status of the wallet transaction. Possible values are
        `pending`, `settled` or `failed`.
      enum:
        - PENDING
        - SETTLED
        - FAILED
      x-enum-descriptions:
        - Payment status of Transaction is PENDING.
        - Payment status of Transaction is SETTLED.
        - Payment status of Transaction is FAILED.
      example: SETTLED
    WalletTransactionSource:
      type: string
      enum:
        - MANUAL
        - INTERVAL
        - THRESHOLD
      x-enum-descriptions:
        - Origin of wallet transaction is MANUAL.
        - Origin of wallet transaction is INTERVAL.
        - Origin of wallet transaction is THRESHOLD.
      description: >-
        The source field represents the origin or trigger of the wallet
        transaction. Possible values are `manual`, `interval`. `threshold`
      example: MANUAL
    WalletTransactionTransactionStatus:
      type: string
      description: >-
        The transaction status of the wallet transaction. Possible values are
        `purchased` (with pending or settled status), `granted` (without
        invoice_id), `voided` or `invoiced`.
      enum:
        - PURCHASED
        - GRANTED
        - VOIDED
        - INVOICED
      x-enum-descriptions:
        - Transaction status of Transaction is PURCHASED.
        - Transaction status of Transaction is GRANTED.
        - Transaction status of Transaction is VOIDED.
        - Transaction status of Transaction is INVOICED.
      example: PURCHASED
    WalletTransactionType:
      type: string
      description: >-
        The type of transaction. Possible values are `inbound` (increasing the
        balance) or `outbound` (decreasing the balance).
      enum:
        - INBOUND
        - OUTBOUND
      x-enum-descriptions:
        - Type of Transaction is INBOUND.
        - Type of Transaction is OUTBOUND.
      example: INBOUND
    Amount:
      allOf:
        - $ref: '#/components/schemas/AmountNoCurrency'
        - type: object
          required:
            - currency_code
          properties:
            currency_code:
              $ref: '#/components/schemas/Currency'
    DateTimeWithZone:
      type: string
      format: date-time
      description: Date and time in ISO 8601 format.
      example: '2023-10-01T12:00:00Z'
    StringMap:
      type: object
      properties:
        key:
          type: string
          description: Name of the key
          example: reason
        value:
          type: string
          description: Value associated with the key
          example: balance depleted
      example:
        key: reason
        value: balance depleted
    Error:
      type: object
      properties:
        name:
          type: string
        debug_id:
          type: string
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/ErrorDetail'
    AmountNoCurrency:
      type: object
      required:
        - value
      properties:
        value:
          type: number
          format: decimal
          description: >-
            The amount value in the corresponding currency unit (e.g., two
            decimals for USD, no decimals for JPY).
          example: 120.35
          minimum: 0
          nullable: false
          default: 0
    Currency:
      type: string
      description: Currency code in ISO 4217 format.
      example: USD
      minLength: 3
      maxLength: 3
      pattern: ^[A-Z]{3}$
    ErrorDetail:
      type: object
      properties:
        field:
          type: string
        value:
          type: string
        location:
          type: string
        issue:
          type: string
        description:
          type: string
  responses:
    Forbidden:
      description: Authorization failed due to insufficient permissions.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            name: NOT_AUTHORIZED
            message: Authorization failed due to insufficient permissions.
            debug_id: 565f78f101498
            details:
              - issue: PERMISSION_DENIED
                description: >-
                  You do not have permission to access or perform operations on
                  this resource.
    NotFound:
      description: Resource Not Found.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
    InternalServerError:
      description: Internal Server Error - An unexpected error occurred
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/Error'
          example:
            name: INTERNAL_SERVER_ERROR
            message: An internal server error has occurred.
            debug_id: 90957fca61718
  securitySchemes:
    BearerAuth:
      type: oauth2
      description: >-
        Use the /v1/oauth2/token endpoint to obtain an access token and pass it
        as a Bearer token in the Authorization header.
      flows:
        clientCredentials:
          tokenUrl: https://api-m.sandbox.paypal.com/v1/oauth2/token
          scopes:
            read: Read access
            write: Write access

````